Last Comment Bug 761837 - inner-window-destroyed observer gets added twice for webapps
: inner-window-destroyed observer gets added twice for webapps
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: DOM: Device Interfaces (show other bugs)
: Trunk
: x86 Mac OS X
: -- major (vote)
: mozilla16
Assigned To: Gregor Wagner [:gwagner]
:
: Andrew Overholt [:overholt]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-05 16:08 PDT by James Lal [:lightsofapollo] (inactive)
Modified: 2012-06-08 04:21 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (1.17 KB, patch)
2012-06-06 10:28 PDT, Gregor Wagner [:gwagner]
no flags Details | Diff | Splinter Review
patch (998 bytes, patch)
2012-06-07 09:29 PDT, Gregor Wagner [:gwagner]
fabrice: review+
Details | Diff | Splinter Review

Description James Lal [:lightsofapollo] (inactive) 2012-06-05 16:08:22 PDT
Observed in a recent build of B2G Desktop and Firefox nightly while testing gaia master.


Exception ->

* Call to xpconnect wrapped JSObject produced this error:  *
[Exception... "'[JavaScript Error: "this._messages is null" {file: "resource://gre/modules/DOMRequestHelper.jsm" line: 88}]' when calling method: [nsIObserver::observe]"  nsresult: "0x80570021 (NS_ERROR_XPC_JAVASCRIPT_ERROR_WITH_DETAILS)"  location: "native frame :: <unknown filename> :: <TOP_LEVEL> :: line 0"  data: yes]
Comment 1 Gregor Wagner [:gwagner] 2012-06-06 10:28:23 PDT
Created attachment 630616 [details] [diff] [review]
patch
Comment 2 Gregor Wagner [:gwagner] 2012-06-06 10:29:14 PDT
We register inner-window-destroyed" twice. Once in initHelper and right after in init again.
Comment 3 Gregor Wagner [:gwagner] 2012-06-06 10:59:51 PDT
https://tbpl.mozilla.org/?tree=Try&rev=cf466c03f09a
Comment 4 Gregor Wagner [:gwagner] 2012-06-06 14:16:52 PDT
The try run showed some intermittent failures that didn't look intermittent any more. I pushed again
https://tbpl.mozilla.org/?tree=Try&rev=0c8fc3c406b4
Comment 5 Gregor Wagner [:gwagner] 2012-06-07 09:29:57 PDT
Created attachment 631012 [details] [diff] [review]
patch

The _id removal caused timeouts in the webapps tests.
Comment 7 Gregor Wagner [:gwagner] 2012-06-07 18:56:49 PDT
ahhh so we can't remove the outerWindowID: http://mxr.mozilla.org/mozilla-central/source/browser/modules/webappsUI.jsm#92
Comment 8 Graeme McCutcheon [:graememcc] 2012-06-08 04:21:20 PDT
https://hg.mozilla.org/mozilla-central/rev/9ed07c7da57b

(Merged by Ed Morley)

Note You need to log in before you can comment on or make changes to this bug.